using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rokada
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine(-1);
        }
    }
}